### Constructor

# Phosh PluginLoader new

#### Declaration [src]

    PhoshPluginLoader*
    phosh_plugin_loader_new (
      GStrv plugin_dirs,
      const char* extension_point
    )

#### Description

No description available.

#### Parameters

`plugin_dirs`

  Type: An array of `utf8`

  No description available.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`extension_point`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshPluginLoader`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.